Class | Spec::Runner::Formatter::ProgressBarFormatter
In: | lib/spec/runner/formatter/progress_bar_formatter.rb
Parent: | BaseTextFormatter

### Methods

example_failed example_passed example_pending method_missing start_dump

### Public Instance methods

example_failed(example, counter, failure)

[Source]

        # File lib/spec/runner/formatter/progress_bar_formatter.rb, line 7
     7:         def example_failed(example, counter, failure)
     8:           @output.print colourise('F', failure)
     9:           @output.flush
    10:         end

example_passed(example)

[Source]

        # File lib/spec/runner/formatter/progress_bar_formatter.rb, line 12
    12:         def example_passed(example)
    13:           @output.print green('.')
    14:           @output.flush
    15:         end

example_pending(example, message)

[Source]

        # File lib/spec/runner/formatter/progress_bar_formatter.rb, line 17
    17:         def example_pending(example, message)
    18:           super
    19:           @output.print yellow('P')
    20:           @output.flush
    21:         end

method_missing(sym, *args)

[Source]

        # File lib/spec/runner/formatter/progress_bar_formatter.rb, line 28
    28:         def method_missing(sym, *args)
    29:           # ignore
    30:         end

start_dump()

[Source]

        # File lib/spec/runner/formatter/progress_bar_formatter.rb, line 23
    23:         def start_dump
    24:           @output.puts
    25:           @output.flush
    26:         end

[Validate]